QGIS Application - Bug report #20126
Importing Excel *.xIsm files as well
2018-10-17 08:51 AM - Haitham Shatti

Status: Closed
Priority: Normal
Assignee:

Category: Data Provider

Affected QGIS version:2.18.24
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: no timely feedback

Copied to github as #: 27947

Description

- QGIS can recognize *.xIsx files by dragging and dropping however it doesn't recognize *.xlsm (Macro Enabled) files (despite that it

has the same xIsx structure) unless the extension is renamed to *.xIsx

- When importing an Excel file, QGIS recognize the headers only if the second row was not empty and contains a number in the 2nd
row, can this "Has header" be an optional check in the sheet import dialog instead of auto detect?.

History

#1 - 2018-10-17 10:03 AM - Giovanni Manghi
- Status changed from Open to Feedback

does OGR (try ogrinfo) recognize such format?

#2 - 2019-01-21 12:35 AM - Jiirgen Fischer

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-24 12:54 AM - Giovanni Manghi
- Resolution set to no timely feedback

- Status changed from Feedback to Closed
